Index: squid/test-suite/hash.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/test-suite/hash.h,v
retrieving revision 1.1.1.1
retrieving revision 1.1.1.1.76.1
diff -u -r1.1.1.1 -r1.1.1.1.76.1
--- squid/test-suite/hash.h	26 Jan 2000 03:21:47 -0000	1.1.1.1
+++ squid/test-suite/hash.h	27 Aug 2001 21:48:22 -0000	1.1.1.1.76.1
@@ -1,6 +1,7 @@
-#define  DEFAULT_HASH_SIZE 7951     
+#define  DEFAULT_HASH_SIZE 7951
 typedef unsigned int HASHHASH(const void *, unsigned int);
-struct _hash_link {  
+struct _hash_link
+{
     char *key;
     struct _hash_link *next;
     void *item;
@@ -9,7 +10,8 @@
 
 typedef struct _hash_link hash_link;
 
-struct _hash_table {
+struct _hash_table
+{
     int valid;
     hash_link **buckets;
     HASHCMP *cmp;
@@ -17,17 +19,17 @@
     unsigned int size;
     unsigned int current_slot;
     hash_link *current_ptr;
-};  
+};
 typedef struct _hash_table hash_table;
 
 extern int hash_links_allocated;
-extern int store_hash_buckets;        /* 0 */
-extern hash_table *store_table;       /* NULL */
+extern int store_hash_buckets;	/* 0 */
+extern hash_table *store_table;	/* NULL */
 extern hash_table *hash_create(HASHCMP *, int, HASHHASH *);
 extern void hash_insert(hash_table *, const char *, void *);
 extern int hash_delete(hash_table *, const char *);
 int hash_delete_link(hash_table *, hash_link *);
-int hash_unlink(hash_table *,hash_link *, int);
+int hash_unlink(hash_table *, hash_link *, int);
 void hash_join(hash_table *, hash_link *);
 int hash_remove_link(hash_table *, hash_link *);
 hash_link *hash_lookup(hash_table *, const void *);
Index: squid/test-suite/membanger.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/test-suite/membanger.c,v
retrieving revision 1.1.1.1
retrieving revision 1.1.1.1.76.1
diff -u -r1.1.1.1 -r1.1.1.1.76.1
--- squid/test-suite/membanger.c	26 Jan 2000 03:21:47 -0000	1.1.1.1
+++ squid/test-suite/membanger.c	27 Aug 2001 21:48:22 -0000	1.1.1.1.76.1
@@ -39,7 +39,7 @@
 
 int i;
 int a;
-int run_stats=0;
+int run_stats = 0;
 void *my_xmalloc(size_t);
 void *my_xcalloc(int, size_t);
 int my_xfree(void *);
@@ -49,163 +49,176 @@
 #define xfree my_xfree
 
 int *size2id_array[2];
-int size2id_len=0;
-int size2id_alloc=0;
+int size2id_len = 0;
+int size2id_alloc = 0;
 
-typedef struct {
-	char orig_ptr[32];
-	void *my_ptr;
+typedef struct
+{
+    char orig_ptr[32];
+    void *my_ptr;
 #ifdef WITH_LIB
-	MemPool *pool;
+    MemPool *pool;
 #endif
-	int size;
-} memitem;
+    int size;
+}
+memitem;
 
-struct {
-	int mallocs,frees,callocs,reallocs;
-} mstat;
+struct
+{
+    int mallocs, frees, callocs, reallocs;
+}
+mstat;
 
 memitem *mi;
 void size2id(size_t, memitem *);
 void badformat();
 void init_stats(), print_stats();
-void my_hash_insert(hash_table *h, const char *k, memitem *item);
-static void *xmemAlloc(memitem *item);
-static void xmemFree(memitem *item);
+void my_hash_insert(hash_table * h, const char *k, memitem * item);
+static void *xmemAlloc(memitem * item);
+static void xmemFree(memitem * item);
 
-int 
-ptrcmp(const void *a,const void *b) 
+int
+ptrcmp(const void *a, const void *b)
 {
-	return (strcmp(a,b));
+    return (strcmp(a, b));
 }
 
-main(int argc,char **argv)
+main(int argc, char **argv)
 {
     char c;
-    extern char *optarg; 
+    extern char *optarg;
     malloc_options = "A";
-    a=0;
+    a = 0;
     while ((c = getopt(argc, argv, "f:i:M:l:m:r:N")) != -1) {
-      switch (c) {
+	switch (c) {
 	case 'N':
-	   mem_pools_on=0;
-	   break;
+	    mem_pools_on = 0;
+	    break;
 	case 'r':
-	  run_stats=atoi(optarg);
-	  break;
+	    run_stats = atoi(optarg);
+	    break;
 	case 'f':
-	  fn=strdup(optarg);
-	  fp=fopen(fn,"r");
-	  break;
+	    fn = strdup(optarg);
+	    fp = fopen(fn, "r");
+	    break;
 	case 'i':
-	  initsiz=atoi(optarg);
-	  break;
+	    initsiz = atoi(optarg);
+	    break;
 	case 'l':
-	  mem_max_size = atoi(optarg)*1024*1024;
-	  break;
+	    mem_max_size = atoi(optarg) * 1024 * 1024;
+	    break;
 	case 'M':
-	  maxsiz=atoi(optarg);
-	  break;
+	    maxsiz = atoi(optarg);
+	    break;
 	case 'm':
-	  minchunk=atoi(optarg);
-	  break;
+	    minchunk = atoi(optarg);
+	    break;
 	default:
-  	  fprintf(stderr,
-		"Usage: %s -f file -M maxsiz -i initsiz -m minchunk",argv[0]);
-	  exit(1);
-      }
-	
+	    fprintf(stderr,
+		"Usage: %s -f file -M maxsiz -i initsiz -m minchunk", argv[0]);
+	    exit(1);
+	}
+
     }
     if (!fp) {
 	fprintf(stderr,
-		"%s pummels %s\n%s . o O ( You't supply a valid tracefile.)\n",
-			argv[0], getenv("USER"), argv[0]);
+	    "%s pummels %s\n%s . o O ( You't supply a valid tracefile.)\n",
+	    argv[0], getenv("USER"), argv[0]);
 	exit(1);
     }
 #ifdef WITH_LIB
     sizeToPoolInit();
 #endif
-    mem_table = hash_create(ptrcmp, 229, hash4);         /* small hash table */
+    mem_table = hash_create(ptrcmp, 229, hash4);	/* small hash table */
     init_stats();
-    while (fgets(mbuf, 256, fp)!=NULL) {
-	if (run_stats>0 && (++a)%run_stats==0) print_stats();
-	p=NULL;
-	switch(mbuf[0]) {
-	case 'm': /* malloc */
-	   p=strtok(&mbuf[2],":");
-	   if (!p) badformat();
-	   size=atoi(p);
-	   p=strtok(NULL,"\n");
-	   if (!p) badformat();
-	   mi=malloc(sizeof(memitem)); 
-	   strcpy(mi->orig_ptr,p);
-	   mi->size=size;
-	   size2id(size,mi);
-	   mi->my_ptr = xmemAlloc(mi); /* (void *)xmalloc(size); */
-	   assert(mi->my_ptr);
-	   my_hash_insert(mem_table, mi->orig_ptr, mi);
-	   mstat.mallocs++;
-	   break;
-	case 'c': /* calloc */
-	   p=strtok(&mbuf[2],":");
-	   if (!p) badformat();
-	   amt=atoi(p);
-	   p=strtok(NULL,":");
-	   if (!p) badformat();
-	   size=atoi(p);
-	   p=strtok(NULL,"\n");
-	   if (!p) badformat();
-           mi=malloc(sizeof(memitem));
-	   strcpy(mi->orig_ptr,p);
-	   size2id(size,mi);
-           mi->size=amt*size;
-           mi->my_ptr= xmemAlloc(mi); /*(void *)xmalloc(amt*size);*/
-	   assert(mi->my_ptr);
-	   my_hash_insert(mem_table, mi->orig_ptr, mi);
-	   mstat.callocs++;
-	   break;
+    while (fgets(mbuf, 256, fp) != NULL) {
+	if (run_stats > 0 && (++a) % run_stats == 0)
+	    print_stats();
+	p = NULL;
+	switch (mbuf[0]) {
+	case 'm':		/* malloc */
+	    p = strtok(&mbuf[2], ":");
+	    if (!p)
+		badformat();
+	    size = atoi(p);
+	    p = strtok(NULL, "\n");
+	    if (!p)
+		badformat();
+	    mi = malloc(sizeof(memitem));
+	    strcpy(mi->orig_ptr, p);
+	    mi->size = size;
+	    size2id(size, mi);
+	    mi->my_ptr = xmemAlloc(mi);	/* (void *)xmalloc(size); */
+	    assert(mi->my_ptr);
+	    my_hash_insert(mem_table, mi->orig_ptr, mi);
+	    mstat.mallocs++;
+	    break;
+	case 'c':		/* calloc */
+	    p = strtok(&mbuf[2], ":");
+	    if (!p)
+		badformat();
+	    amt = atoi(p);
+	    p = strtok(NULL, ":");
+	    if (!p)
+		badformat();
+	    size = atoi(p);
+	    p = strtok(NULL, "\n");
+	    if (!p)
+		badformat();
+	    mi = malloc(sizeof(memitem));
+	    strcpy(mi->orig_ptr, p);
+	    size2id(size, mi);
+	    mi->size = amt * size;
+	    mi->my_ptr = xmemAlloc(mi);	/*(void *)xmalloc(amt*size); */
+	    assert(mi->my_ptr);
+	    my_hash_insert(mem_table, mi->orig_ptr, mi);
+	    mstat.callocs++;
+	    break;
 	case 'r':
-           p=strtok(&mbuf[2],":");
-	   if (!p) badformat();
-	   strcpy(abuf,p);
-           p=strtok(NULL,":");
-	   if (!p) badformat();
-	   mem_entry=hash_lookup(mem_table, p);
-           if (mem_entry==NULL) {
-                fprintf(stderr,"invalid realloc (%s)!\n",p);
+	    p = strtok(&mbuf[2], ":");
+	    if (!p)
+		badformat();
+	    strcpy(abuf, p);
+	    p = strtok(NULL, ":");
+	    if (!p)
+		badformat();
+	    mem_entry = hash_lookup(mem_table, p);
+	    if (mem_entry == NULL) {
+		fprintf(stderr, "invalid realloc (%s)!\n", p);
 		break;
-           }
-	   mi=(memitem *)(mem_entry->item);
-	   assert(mi->pool);
-	   assert(mi->my_ptr);
-	   xmemFree(mi); /* xfree(mi->my_ptr); */
-	   size2id(atoi(p),mi);   /* we don't need it here I guess? */
-           strcpy(mi->orig_ptr,abuf);
-	   p=strtok(NULL,"\n");
-	   if (!p) badformat();
-	   mi->my_ptr= xmemAlloc(mi); /* (char *)xmalloc(atoi(p)); */
-	   assert(mi->my_ptr);
-	   mstat.reallocs++;
-	   break;
+	    }
+	    mi = (memitem *) (mem_entry->item);
+	    assert(mi->pool);
+	    assert(mi->my_ptr);
+	    xmemFree(mi);	/* xfree(mi->my_ptr); */
+	    size2id(atoi(p), mi);	/* we don't need it here I guess? */
+	    strcpy(mi->orig_ptr, abuf);
+	    p = strtok(NULL, "\n");
+	    if (!p)
+		badformat();
+	    mi->my_ptr = xmemAlloc(mi);	/* (char *)xmalloc(atoi(p)); */
+	    assert(mi->my_ptr);
+	    mstat.reallocs++;
+	    break;
 	case 'f':
-	   p=strtok(&mbuf[2],"\n");
-	   mem_entry=hash_lookup(mem_table, p);		
-	   if (mem_entry==NULL) {
-		if (p[0]!='0')
-		fprintf(stderr,"invalid free (%s) at line %d!\n",p,a);
+	    p = strtok(&mbuf[2], "\n");
+	    mem_entry = hash_lookup(mem_table, p);
+	    if (mem_entry == NULL) {
+		if (p[0] != '0')
+		    fprintf(stderr, "invalid free (%s) at line %d!\n", p, a);
 		break;
-	   }
-	   mi=(memitem *)(mem_entry->item);
-	   assert(mi->pool);
-	   assert(mi->my_ptr);
-	   xmemFree(mi); /* xfree(mi->my_ptr); */ 
-	   hash_unlink(mem_table, mem_entry, 1);
-	   free(mi);
-	   mstat.frees++;
-	   break;
+	    }
+	    mi = (memitem *) (mem_entry->item);
+	    assert(mi->pool);
+	    assert(mi->my_ptr);
+	    xmemFree(mi);	/* xfree(mi->my_ptr); */
+	    hash_unlink(mem_table, mem_entry, 1);
+	    free(mi);
+	    mstat.frees++;
+	    break;
 	default:
-		fprintf(stderr,"%s pummels %s.bad.format\n", argv[0],fn);
-		exit(1);
+	    fprintf(stderr, "%s pummels %s.bad.format\n", argv[0], fn);
+	    exit(1);
 	}
 
     }
@@ -216,19 +229,19 @@
 void *
 my_xmalloc(size_t a)
 {
-	return NULL;
+    return NULL;
 }
 
 void *
 my_xcalloc(int a, size_t b)
 {
-	return NULL;
+    return NULL;
 }
 
 int
 my_xfree(void *p)
 {
-	return 0;
+    return 0;
 }
 void
 init_stats()
@@ -240,36 +253,36 @@
 print_stats()
 {
 #ifdef WITH_LIB
-        memReport(stdout); 
+    memReport(stdout);
 #endif
-	getrusage(RUSAGE_SELF, &myusage);
-	printf("m/c/f/r=%d/%d/%d/%d\n",mstat.mallocs,mstat.callocs,
-					mstat.frees, mstat.reallocs);
+    getrusage(RUSAGE_SELF, &myusage);
+    printf("m/c/f/r=%d/%d/%d/%d\n", mstat.mallocs, mstat.callocs,
+	mstat.frees, mstat.reallocs);
 #if 0
-	printf("types                 : %d\n",size2id_len);
+    printf("types                 : %d\n", size2id_len);
 #endif
-	printf("user time used        : %d.%d\n", (int)myusage.ru_utime.tv_sec,
-						(int)myusage.ru_utime.tv_usec);
-	printf("system time used      : %d.%d\n", (int)myusage.ru_stime.tv_sec,
-                                                (int)myusage.ru_stime.tv_usec);
-	printf("max resident set size : %d\n",(int)myusage.ru_maxrss);
-	printf("page faults           : %d\n", (int)myusage.ru_majflt);
+    printf("user time used        : %d.%d\n", (int) myusage.ru_utime.tv_sec,
+	(int) myusage.ru_utime.tv_usec);
+    printf("system time used      : %d.%d\n", (int) myusage.ru_stime.tv_sec,
+	(int) myusage.ru_stime.tv_usec);
+    printf("max resident set size : %d\n", (int) myusage.ru_maxrss);
+    printf("page faults           : %d\n", (int) myusage.ru_majflt);
 }
 
 void
-size2id(size_t sz,memitem *mi)
+size2id(size_t sz, memitem * mi)
 {
 #ifdef WITH_LIB
-	mi->pool = sizeToPool(sz);
-	assert(mi->pool);
+    mi->pool = sizeToPool(sz);
+    assert(mi->pool);
 #endif
-	return;
+    return;
 }
 
 void
 badformat()
 {
-    fprintf(stderr,"pummel.bad.format\n");
+    fprintf(stderr, "pummel.bad.format\n");
     exit(1);
 }
 
@@ -277,22 +290,22 @@
 const char *
 make_nam(int id, int size)
 {
-    const char *buf = malloc(30); /* argh */
-    sprintf((char *)buf, "pl:%d/%d", id, size);
+    const char *buf = malloc(30);	/* argh */
+    sprintf((char *) buf, "pl:%d/%d", id, size);
     return buf;
 }
 
 void
-my_hash_insert(hash_table *h, const char *k, memitem *item)
-{	
-	memitem *l;
-	assert( item->pool);
-	assert( item->my_ptr);	
-	hash_insert(h,k,item);
+my_hash_insert(hash_table * h, const char *k, memitem * item)
+{
+    memitem *l;
+    assert(item->pool);
+    assert(item->my_ptr);
+    hash_insert(h, k, item);
 }
 
 static void *
-xmemAlloc(memitem *item)
+xmemAlloc(memitem * item)
 {
     extern MemPool *StringPool;
     assert(item && item->pool);
@@ -303,23 +316,24 @@
 }
 
 static void
-xmemFree(memitem *item)
+xmemFree(memitem * item)
 {
     extern MemPool *StringPool;
     assert(item && item->pool);
     if (StringPool == item->pool)
-        return memStringFree(item->pool, item->my_ptr, item->size);
+	return memStringFree(item->pool, item->my_ptr, item->size);
     else
-        return memFree(item->pool, item->my_ptr);
+	return memFree(item->pool, item->my_ptr);
 }
 
-void my_free(char *file, int line, void *ptr)
+void
+my_free(char *file, int line, void *ptr)
 {
 #if 0
-fprintf(stderr,"{%s:%d:%p",file,line,ptr);
+    fprintf(stderr, "{%s:%d:%p", file, line, ptr);
 #endif
-free(ptr);
-#if 0 
-fprintf(stderr,"}\n");
+    free(ptr);
+#if 0
+    fprintf(stderr, "}\n");
 #endif
 }
Index: squid/test-suite/pconn-banger.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/test-suite/pconn-banger.c,v
retrieving revision 1.1.1.1
retrieving revision 1.1.1.1.76.1
diff -u -r1.1.1.1 -r1.1.1.1.76.1
--- squid/test-suite/pconn-banger.c	26 Jan 2000 03:21:47 -0000	1.1.1.1
+++ squid/test-suite/pconn-banger.c	27 Aug 2001 21:48:22 -0000	1.1.1.1.76.1
@@ -1,6 +1,4 @@
-
 #include "config.h"
-
 /*
  * On some systems, FD_SETSIZE is set to something lower than the
  * actual number of files which can be opened.  IRIX is one case,
@@ -112,7 +110,8 @@
 
 #define REPLY_HDR_SZ 8192
 
-struct _r {
+struct _r
+{
     char url[1024];
     int content_length;
     int hdr_length;
@@ -167,7 +166,6 @@
 }
 
 int
-
 open_http_socket(void)
 {
     int s;
@@ -191,7 +189,7 @@
 int
 send_request(int fd, const char *data)
 {
-    char msg[4096],buf[4096];
+    char msg[4096], buf[4096];
     int len;
     time_t w;
     struct _r *r;
@@ -200,24 +198,24 @@
     char *tmp = strdup(data);
     struct stat st;
     int file_fd = -1;
-    method=strtok(tmp, " ");
-    url=strtok(NULL, " ");
-    file=strtok(NULL, " ");
-    size=strtok(NULL, " ");
-    checksum=strtok(NULL, " ");
+    method = strtok(tmp, " ");
+    url = strtok(NULL, " ");
+    file = strtok(NULL, " ");
+    size = strtok(NULL, " ");
+    checksum = strtok(NULL, " ");
     if (!url) {
-      url=method;
-      method="GET";
+	url = method;
+	method = "GET";
     }
-    if (file && strcmp(file,"-")==0)
-	file=NULL;
-    if (size && strcmp(size,"-")==0)
-	size=NULL;
-    if (checksum && strcmp(checksum,"-")==0)
-	checksum=NULL;
+    if (file && strcmp(file, "-") == 0)
+	file = NULL;
+    if (size && strcmp(size, "-") == 0)
+	size = NULL;
+    if (checksum && strcmp(checksum, "-") == 0)
+	checksum = NULL;
     msg[0] = '\0';
     sprintf(buf, "%s %s HTTP/1.0\r\n", method, url);
-    strcat(msg,buf);
+    strcat(msg, buf);
     strcat(msg, "Accept: */*\r\n");
     strcat(msg, "Proxy-Connection: Keep-Alive\r\n");
     if (opt_ims && (lrand48() & 0x03) == 0) {
@@ -226,11 +224,11 @@
 	strcat(msg, buf);
     }
     if (file) {
-	if ( (file_fd = open(file,O_RDONLY)) < 0) {
+	if ((file_fd = open(file, O_RDONLY)) < 0) {
 	    perror("open");
 	    return -1;
 	}
-	if ( fstat(file_fd, &st) ) {
+	if (fstat(file_fd, &st)) {
 	    perror("fstat");
 	    close(file_fd);
 	    return -1;
@@ -247,7 +245,7 @@
 	return -1;
     }
     if (file) {
-	while((len=read(file_fd, buf, sizeof buf)) > 0) {
+	while ((len = read(file_fd, buf, sizeof buf)) > 0) {
 	    if (write(fd, buf, len) < 0) {
 		close(fd);
 		perror("body write");
@@ -302,8 +300,8 @@
 	    t += strlen(hdr);
 	    while (isspace(*t))
 		t++;
-	    strcpy(result,"");
-	    strncat(result,t,strcspn(t, crlf));
+	    strcpy(result, "");
+	    strncat(result, t, strcspn(t, crlf));
 	    return result;
 	}
     }
@@ -315,20 +313,19 @@
 {
 #if 0
     fprintf(stderr, "DONE: %s, (%d+%d)\n",
-	    r->url,
-	    r->hdr_length,
-	    r->content_length);
+	r->url, r->hdr_length, r->content_length);
 #endif
     if (r->content_length != r->bytes_read)
 	fprintf(stderr, "ERROR! Short reply, expected %d bytes got %d\n",
 	    r->content_length, r->bytes_read);
     else if (r->validsize >= 0) {
 	if (r->validsize != r->bytes_read)
-	    fprintf(stderr, "WARNING: %s Object size mismatch, expected %d got %d\n",
-		    r->url, r->validsize, r->bytes_read);
+	    fprintf(stderr,
+		"WARNING: %s Object size mismatch, expected %d got %d\n",
+		r->url, r->validsize, r->bytes_read);
 	else if (opt_checksum && r->sum != r->validsum)
 	    fprintf(stderr, "WARNING: %s Checksum error. Expected %d got %d\n",
-		    r->url, r->validsum, r->sum);
+		r->url, r->validsum, r->sum);
     }
 }
 int
@@ -338,21 +335,22 @@
     const char *end;
     const char *url;
     static char buf[READ_BUF_SZ];
-    int hlen,blen;
-    if (len < 0 ) {
+    int hlen, blen;
+    if (len < 0) {
 	perror("read");
 	Requests = r->next;
 	request_done(r);
 	free(r);
 	noutstanding--;
 	if (trace_fd >= 0)
-	    write(trace_fd,"\n[CLOSED]\n",10);
+	    write(trace_fd, "\n[CLOSED]\n", 10);
 	return -1;
     }
     total_bytes_read += len;
-    xmemcpy(buf,inbuf,len);
+    xmemcpy(buf, inbuf, len);
     if (len == 0) {
-	fprintf(stderr, "WARNING: %s, server closed socket after %d+%d bytes\n", r->url, r->hdr_offset, r->bytes_read);
+	fprintf(stderr, "WARNING: %s, server closed socket after %d+%d bytes\n",
+	    r->url, r->hdr_offset, r->bytes_read);
 	/* XXX, If no data was received and it isn't the first request on this
 	 * connection then the request should be restarted rather than aborted
 	 * but this is a simple test program an not a full blown HTTP client.
@@ -377,13 +375,15 @@
 	    xmemmove(buf, buf + hlen, len);
 	}
 	/* Process headers */
-	if (r->hdr_length == 0 && (end = mime_headers_end(r->reply_hdrs)) != NULL) {
+	if (r->hdr_length == 0
+	    && (end = mime_headers_end(r->reply_hdrs)) != NULL) {
 #if 0
-	    fprintf(stderr, "FOUND EOH FOR %s\n", r->url); */
+	    fprintf(stderr, "FOUND EOH FOR %s\n", r->url);
+	    */
 #endif
-	    r->hdr_length = end - r->reply_hdrs;
+		r->hdr_length = end - r->reply_hdrs;
 #if 0
- 	    fprintf(stderr, "HDR_LENGTH = %d\n", r->hdr_length);
+	    fprintf(stderr, "HDR_LENGTH = %d\n", r->hdr_length);
 #endif
 	    /* "unread" any body contents received */
 	    blen = r->hdr_offset - r->hdr_length;
@@ -393,20 +393,22 @@
 		xmemcpy(buf, r->reply_hdrs + r->hdr_length, blen);
 		len += blen;
 	    }
-	    r->reply_hdrs[r->hdr_length]='\0'; /* Null terminate headers */
+	    r->reply_hdrs[r->hdr_length] = '\0';	/* Null terminate headers */
 	    /* Parse headers */
-	    r->content_length = get_header_int_value("content-length:", r->reply_hdrs, end);
+	    r->content_length =
+		get_header_int_value("content-length:", r->reply_hdrs, end);
 /*	    fprintf(stderr, "CONTENT_LENGTH = %d\n", r->content_length); */
 	    url = get_header_string_value("X-Request-URI:", r->reply_hdrs, end);
 	    if (url != NULL && strcmp(r->url, url) != 0)
 		fprintf(stderr, "WARNING: %s got reply %s\n", r->url, url);
 #if XREQUESTURI || 0
-	    fprintf(stderr, "LOCATION = %s\n", get_header_string_value("X-Request-URI:", r->reply_hdrs, end));  
+	    fprintf(stderr, "LOCATION = %s\n",
+		get_header_string_value("X-Request-URI:", r->reply_hdrs, end));
 #endif
 	}
-	if ( !(len==0 || r->hdr_length > 0) ) {
+	if (!(len == 0 || r->hdr_length > 0)) {
 	    fprintf(stderr, "ERROR!!!\n");
-	    assert((len==0 || r->hdr_length > 0));
+	    assert((len == 0 || r->hdr_length > 0));
 	}
 	/* Process body */
 	if (r->hdr_length != 0) {
@@ -415,14 +417,14 @@
 	    if (r->content_length >= 0) {
 		bytes_left = r->content_length - r->bytes_read;
 		assert(bytes_left >= 0);
-	    	bytes_used = len < bytes_left ? len : bytes_left;
+		bytes_used = len < bytes_left ? len : bytes_left;
 	    } else {
-		bytes_left = len + 1; /* Unknown end... */
+		bytes_left = len + 1;	/* Unknown end... */
 		bytes_used = len;
 	    }
 	    if (opt_checksum) {
-		for(i=0; i<bytes_used; i++)
-		    r->sum += (int)buf[i] & 0xFF;
+		for (i = 0; i < bytes_used; i++)
+		    r->sum += (int) buf[i] & 0xFF;
 	    }
 	    r->bytes_read += bytes_used;
 	    len -= bytes_used;
@@ -462,7 +464,7 @@
     static int pconn_fd = -1;
     static char buf[8192];
     struct timeval to;
-    struct timeval now,last,start;
+    struct timeval now, last, start;
     fd_set R;
     struct _r *r;
     struct _r *nextr;
@@ -480,10 +482,10 @@
     }
     while (!done_reading_urls || noutstanding) {
 	if (!opt_reopen && pconn_fd < 0) {
-	    fprintf(stderr,"TERMINATED: Connection closed\n");
+	    fprintf(stderr, "TERMINATED: Connection closed\n");
 	    break;
 	}
-	if (pconn_fd<0) {
+	if (pconn_fd < 0) {
 	    pconn_fd = open_http_socket();
 	    if (pconn_fd < 0) {
 		perror("socket");
@@ -491,14 +493,14 @@
 	    }
 	    nextr = Requests;
 	    Requests = NULL;
-	    noutstanding=0;
+	    noutstanding = 0;
 	    while ((r = nextr) != NULL) {
 		nextr = r->next;
 		if (send_request(pconn_fd, r->url) != 0) {
 		    close(pconn_fd);
-		    pconn_fd=-1;
+		    pconn_fd = -1;
 		    nextr = r;
-		    for (r = Requests; r!=NULL && r->next; r=r->next);
+		    for (r = Requests; r != NULL && r->next; r = r->next);
 		    if (r != NULL)
 			r->next = nextr;
 		    else
@@ -508,7 +510,7 @@
 		free(r);
 	    }
 	    timeouts = 0;
-	    if (pconn_fd <0)
+	    if (pconn_fd < 0)
 		continue;
 	}
 	if (timeouts == 200) {
@@ -520,7 +522,8 @@
 	    free(r);
 	    noutstanding--;
 	}
-	if (pconn_fd>=0 && noutstanding < max_outstanding && !done_reading_urls) {
+	if (pconn_fd >= 0 && noutstanding < max_outstanding
+	    && !done_reading_urls) {
 	    char *t;
 	    if (fgets(buf, 8191, stdin) == NULL) {
 		fprintf(stderr, "Done Reading URLS\n");
@@ -532,7 +535,7 @@
 		*t = '\0';
 	    if (send_request(pconn_fd, buf) != 0) {
 		close(pconn_fd);
-		pconn_fd=-1;
+		pconn_fd = -1;
 		continue;
 	    }
 	    nrequests++;
@@ -560,21 +563,19 @@
 		pconn_fd = -1;
 	}
 	gettimeofday(&now, NULL);
-        if (now.tv_sec > last.tv_sec) {
+	if (now.tv_sec > last.tv_sec) {
 	    int dt;
 	    int nreq;
 	    last = now;
 	    dt = (int) (now.tv_sec - start.tv_sec);
-	    nreq=0;
-	    for (r=Requests; r ; r=r->next) nreq++;
-	    printf("T+ %6d: %9d req (%+4d), %4d pend, %3d/sec avg, %dmb, %dkb/sec avg\n",
-		    dt,
-		    nrequests,
-		    reqpersec,
-		    nreq,
-		    (int) (nrequests / dt),
-		    (int)total_bytes_read / 1024 / 1024,
-		    (int)total_bytes_read / 1024 / dt);
+	    nreq = 0;
+	    for (r = Requests; r; r = r->next)
+		nreq++;
+	    printf
+		("T+ %6d: %9d req (%+4d), %4d pend, %3d/sec avg, %dmb, %dkb/sec avg\n",
+		dt, nrequests, reqpersec, nreq, (int) (nrequests / dt),
+		(int) total_bytes_read / 1024 / 1024,
+		(int) total_bytes_read / 1024 / dt);
 	    reqpersec = 0;
 	}
     }
@@ -583,7 +584,9 @@
 void
 usage(void)
 {
-    fprintf(stderr, "usage: %s: -p port -h host -n max -t tracefile -i -c -l lifetime\n", progname);
+    fprintf(stderr,
+	"usage: %s: -p port -h host -n max -t tracefile -i -c -l lifetime\n",
+	progname);
 }
 
 int
@@ -616,7 +619,7 @@
 	    lifetime = (time_t) atoi(optarg);
 	    break;
 	case 't':
-	    trace_fd = open(optarg,O_WRONLY|O_CREAT|O_TRUNC,0666);
+	    trace_fd = open(optarg, O_WRONLY | O_CREAT | O_TRUNC, 0666);
 	    break;
 	case 'r':
 	    opt_reopen = !opt_reopen;
Index: squid/test-suite/tcp-banger2.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/test-suite/tcp-banger2.c,v
retrieving revision 1.1.1.3.30.1
retrieving revision 1.1.1.3.30.1.2.1
diff -u -r1.1.1.3.30.1 -r1.1.1.3.30.1.2.1
--- squid/test-suite/tcp-banger2.c	6 Jan 2001 12:40:17 -0000	1.1.1.3.30.1
+++ squid/test-suite/tcp-banger2.c	27 Aug 2001 21:48:22 -0000	1.1.1.3.30.1.2.1
@@ -1,7 +1,5 @@
 #include "config.h"
-
-/* $Id: tcp-banger2.c,v 1.1.1.3.30.1 2001/01/06 12:40:17 hno Exp $ */
-
+/* $Id: tcp-banger2.c,v 1.1.1.3.30.1.2.1 2001/08/27 21:48:22 tolsty Exp $ */
 /*
  * On some systems, FD_SETSIZE is set to something lower than the
  * actual number of files which can be opened.  IRIX is one case,
@@ -111,13 +109,15 @@
 
 typedef void (CB) (int, void *);
 
-struct _f {
+struct _f
+{
     CB *cb;
     CB *ccb;
     void *data;
     time_t start;
 };
-struct _request {
+struct _request
+{
     int fd;
     char *url;
     char method[16];
@@ -229,7 +229,8 @@
 		    r->content_length = atoi(header + 15);
 		else if (strncasecmp(header, "X-Request-URI:", 14) == 0) {
 		    /* Check URI */
-		    if (strncmp(r->url, header + 15, strcspn(header + 15, "\r\n"))) {
+		    if (strncmp(r->url, header + 15, strcspn(header + 15,
+				"\r\n"))) {
 			char url[8192];
 			strncpy(url, header + 15, strcspn(header + 15, "\r\n"));
 			url[strcspn(header + 15, "\r\n")] = '\n';
@@ -272,19 +273,22 @@
 	    r->url, r->bodysize, r->content_length);
     else if (r->validsize >= 0) {
 	if (r->validsize != r->bodysize)
-	    fprintf(stderr, "WARNING: %s size mismatch wanted %d bytes got %d\n",
-		r->url, r->validsize, r->bodysize);
+	    fprintf(stderr,
+		"WARNING: %s size mismatch wanted %d bytes got %d\n", r->url,
+		r->validsize, r->bodysize);
 	else if (opt_checksum && r->validsum != r->sum)
-	    fprintf(stderr, "WARNING: %s invalid checksum wanted 0x%lx got 0x%lx\n",
-		r->url, r->validsum, r->sum);
+	    fprintf(stderr,
+		"WARNING: %s invalid checksum wanted 0x%lx got 0x%lx\n", r->url,
+		r->validsum, r->sum);
     }
     if (trace_file) {
 	if (opt_checksum)
 	    fprintf(trace_file, "%s %s %d %s %d 0x%lx\n",
-		r->method, r->url, r->status, r->requestbodyfile, r->bodysize, r->sum);
+		r->method, r->url, r->status, r->requestbodyfile, r->bodysize,
+		r->sum);
 	else
-	    fprintf(trace_file, "%s %s %d %s %d\n",
-		r->method, r->url, r->status, r->requestbodyfile, r->bodysize);
+	    fprintf(trace_file, "%s %s %d %s %d\n", r->method, r->url,
+		r->status, r->requestbodyfile, r->bodysize);
     }
     free_request(r);
 }
@@ -464,7 +468,8 @@
     fprintf(stderr, " -t <tracefile>  Save request trace\n");
     fprintf(stderr, " -c              Check checksum agains trace\n");
     fprintf(stderr, " -i              Send random If-Modified-Since times\n");
-    fprintf(stderr, " -l <seconds>    Connection lifetime timeout (default 60)\n");
+    fprintf(stderr,
+	" -l <seconds>    Connection lifetime timeout (default 60)\n");
     fprintf(stderr, " -a              Accelerator mode\n");
 }
 
@@ -569,12 +574,9 @@
 	if (now.tv_sec > last.tv_sec) {
 	    last = now;
 	    dt = (int) (now.tv_sec - start.tv_sec);
-	    printf("T+ %6d: %9d req (%+4d), %4d conn, %3d/sec avg, %dmb, %dkb/sec avg\n",
-		dt,
-		nrequests,
-		reqpersec,
-		nfds,
-		(int) (nrequests / dt),
+	    printf
+		("T+ %6d: %9d req (%+4d), %4d conn, %3d/sec avg, %dmb, %dkb/sec avg\n",
+		dt, nrequests, reqpersec, nfds, (int) (nrequests / dt),
 		(int) total_bytes_read / 1024 / 1024,
 		(int) total_bytes_read / 1024 / dt);
 	    reqpersec = 0;
Index: squid/test-suite/tcp-banger3.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/test-suite/tcp-banger3.c,v
retrieving revision 1.1.1.2
retrieving revision 1.1.1.2.76.1
diff -u -r1.1.1.2 -r1.1.1.2.76.1
--- squid/test-suite/tcp-banger3.c	26 Jan 2000 03:23:10 -0000	1.1.1.2
+++ squid/test-suite/tcp-banger3.c	27 Aug 2001 21:48:22 -0000	1.1.1.2.76.1
@@ -1,5 +1,4 @@
 #include "config.h"
-
 /*
  * On some systems, FD_SETSIZE is set to something lower than the
  * actual number of files which can be opened.  IRIX is one case,
@@ -88,7 +87,8 @@
 #define READ_BUF_SZ 4096
 #define URL_BUF_SZ 4096
 
-struct _thing {
+struct _thing
+{
     int rfd;
     int wfd;
     int state;
@@ -150,7 +150,8 @@
     S.sin_port = htons(port);
     S.sin_family = AF_INET;
     if (debug)
-	fprintf(stderr, "%s (%s) %d %s\n", host, inet_ntoa(S.sin_addr), (int) port, path);
+	fprintf(stderr, "%s (%s) %d %s\n", host, inet_ntoa(S.sin_addr),
+	    (int) port, path);
     s = socket(PF_INET, SOCK_STREAM, 0);
     if (s < 0) {
 	perror("socket");
@@ -164,11 +165,7 @@
     snprintf(request, URL_BUF_SZ,
 	"GET %s HTTP/1.1\r\n"
 	"Accept: */*\r\n"
-	"Host: %s\r\n"
-	"Connection: close\r\n"
-	"\r\n",
-	path,
-	host);
+	"Host: %s\r\n" "Connection: close\r\n" "\r\n", path, host);
     x = write(s, request, strlen(request));
     if (x < 0) {
 	perror("write");
@@ -192,7 +189,8 @@
     struct timeval t1;
     struct timeval t2;
     if (debug)
-	fprintf(stderr, "Child PID %d entering child_main_loop\n", (int) getpid());
+	fprintf(stderr, "Child PID %d entering child_main_loop\n",
+	    (int) getpid());
     setbuf(stdin, NULL);
     setbuf(stdout, NULL);
     setbuf(stderr, NULL);
@@ -263,8 +261,7 @@
 	t = create_a_thing(argv);
 	assert(t);
 	if (debug)
-	    fprintf(stderr, "Thing #%d on FD %d/%d\n",
-		i, t->rfd, t->wfd);
+	    fprintf(stderr, "Thing #%d on FD %d/%d\n", i, t->rfd, t->wfd);
 	*T = t;
 	T = &t->next;
     }
@@ -305,7 +302,8 @@
     if (x < 0)
 	perror("write");
     if (debug)
-	fprintf(stderr, "dispatched URL to thing PID %d, %d bytes\n", (int) t->pid, x);
+	fprintf(stderr, "dispatched URL to thing PID %d, %d bytes\n",
+	    (int) t->pid, x);
     strncpy(t->url, url, URL_BUF_SZ);
     if ((s = strchr(t->url, '\n')))
 	*s = '\0';
@@ -325,7 +323,8 @@
 	perror("read");
     } else if (2 == sscanf(buf, "%d %d", &i, &j)) {
 	gettimeofday(&now, NULL);
-	printf("%d.%06d %9d %9d %s\n", (int) now.tv_sec, (int) now.tv_usec, i, j, t->url);
+	printf("%d.%06d %9d %9d %s\n", (int) now.tv_sec, (int) now.tv_usec, i,
+	    j, t->url);
     }
     t->state = 0;
     FD_CLR(t->rfd, &R1);
@@ -382,7 +381,7 @@
     signal(SIGCHLD, sig_child);
     create_children(argv);
     parent_main_loop();
-    for (i=3;i<=maxfd; i++)
+    for (i = 3; i <= maxfd; i++)
 	close(i);
     sleep(1);
 }
Index: squid/win/cf.data.mak
===================================================================
RCS file: /cvsroot/squid-sf//squid/win/Attic/cf.data.mak,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.1.2.1
diff -u -r1.1.2.1 -r1.1.2.1.2.1
--- squid/win/cf.data.mak	25 Mar 2001 16:55:30 -0000	1.1.2.1
+++ squid/win/cf.data.mak	27 Aug 2001 21:48:22 -0000	1.1.2.1.2.1
@@ -13,7 +13,7 @@
 #
 SQUID_EXE	= squid$(exec_suffix)
 CLIENT_EXE	= client$(exec_suffix)
-DNSSERVER_EXE	= dnsserver.dll
+DNSSERVER_EXE	= dnsserver$(exec_suffix)
 UNLINKD_EXE	= unlinkd$(exec_suffix)
 PINGER_EXE	= pinger$(exec_suffix)
 CACHEMGR_EXE	= cachemgr$(cgi_suffix)
Index: squid/win/resource.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/win/Attic/resource.h,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.1.2.1
diff -u -r1.1.2.1 -r1.1.2.1.2.1
--- squid/win/resource.h	6 Jan 2001 12:40:17 -0000	1.1.2.1
+++ squid/win/resource.h	27 Aug 2001 21:48:22 -0000	1.1.2.1.2.1
@@ -7,7 +7,7 @@
 // 
 #ifdef APSTUDIO_INVOKED
 #ifndef APSTUDIO_READONLY_SYMBOLS
-#define _APS_NEXT_RESOURCE_VALUE        101
+#define _APS_NEXT_RESOURCE_VALUE        102
 #define _APS_NEXT_COMMAND_VALUE         40001
 #define _APS_NEXT_CONTROL_VALUE         1000
 #define _APS_NEXT_SYMED_VALUE           101
